<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <Graph Condition=" '$(Graph)' == '' ">NPlot</Graph>
    <ProjectGuid>{266A828E-05CA-4FEB-8B78-0BC066760C26}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Analyzer.Process</RootNamespace>
    <AssemblyName>Ntp.Analyzer.Process</AssemblyName>
    <ReleaseVersion>0.7.6</ReleaseVersion>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>TRACE;DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>TRACE;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(Graph)' == 'Debug|AnyCPU|NPlot' ">
    <DefineConstants>GRAPH;TRACE;DEBUG;</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)|$(Graph)' == 'Release|AnyCPU|NPlot' ">
    <DefineConstants>GRAPH;TRACE;</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\Shared\AssemblyInfo.cs" />
    <Compile Include="Description\DriftStatJob.cs" />
    <Compile Include="Description\HostStatJob.cs" />
    <Compile Include="Description\PeerStatJob.cs" />
    <Compile Include="Description\HostGraphJob.cs" />
    <Compile Include="Description\PeerGraphJob.cs" />
    <Compile Include="Description\HostPageJob.cs" />
    <Compile Include="Description\PeerPageJob.cs" />
    <Compile Include="Description\StreamJob.cs" />
    <Compile Include="Description\BulkStatJob.cs" />
    <Compile Include="Description\NotifyJob.cs" />
    <Compile Include="Description\AboutPageJob.cs" />
    <Compile Include="Description\PeerGraphPageJob.cs" />
    <Compile Include="Description\HostGraphPageJob.cs" />
    <Compile Include="Description\TrafficGraphJob.cs" />
    <Compile Include="Initializer.cs" />
    <Compile Include="Log\LogExtensions.cs" />
    <Compile Include="Main.cs" />
    <Compile Include="Description\PeerSummaryPage.cs" />
    <Compile Include="Description\HostIoStatJob.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <ProjectReference Include="..\Ntp.Analyzer.Monitor.Client\Ntp.Analyzer.Monitor.Client.csproj">
      <Project>{44D739DA-4CD4-4214-88EE-A9A293BB32B5}</Project>
      <Name>Ntp.Analyzer.Monitor.Client</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Monitor.Server\Ntp.Analyzer.Monitor.Server.csproj">
      <Project>{13FA10AB-D656-4D72-BC69-2525D484C9DE}</Project>
      <Name>Ntp.Analyzer.Monitor.Server</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer\Ntp.Analyzer.csproj">
      <Project>{28444C86-1B41-4558-BA27-DCF32B2B1E0F}</Project>
      <Name>Ntp.Analyzer</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Objects\Ntp.Analyzer.Objects.csproj">
      <Project>{02912378-E62D-4445-BA30-F56D3ABE9DA2}</Project>
      <Name>Ntp.Analyzer.Objects</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Data\Ntp.Data.csproj">
      <Project>{03F3B0D9-AC35-43E3-9303-87A71FB73CD1}</Project>
      <Name>Ntp.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Data\Ntp.Analyzer.Data.csproj">
      <Project>{8263BEAB-1610-4F82-9FC0-84421E5AB6B0}</Project>
      <Name>Ntp.Analyzer.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Import\Ntp.Analyzer.Import.csproj">
      <Project>{1F0A20C9-71C7-4A2C-8DB3-5D18E0E49227}</Project>
      <Name>Ntp.Analyzer.Import</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Common\Ntp.Common.csproj">
      <Project>{86848F80-2692-47AB-A68A-BFB2990B632E}</Project>
      <Name>Ntp.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Data.Provider\Ntp.Data.Provider.csproj">
      <Project>{B982916F-F2F1-4975-89A6-C8BACDC65542}</Project>
      <Name>Ntp.Data.Provider</Name>
    </ProjectReference>
  </ItemGroup>
  <ProjectExtensions>
    <MonoDevelop>
      <Properties>
        <Deployment.LinuxDeployData generatePcFile="False" />
        <MonoDevelop.Autotools.MakefileInfo IntegrationEnabled="True" RelativeMakefileName="Makefile" SyncReferences="True">
          <BuildFilesVar Sync="True" Name="FILES" />
          <DeployFilesVar />
          <ResourcesVar Sync="True" Name="RESOURCES" />
          <OthersVar />
          <GacRefVar Sync="True" Name="REFERENCES" />
          <AsmRefVar Sync="True" Name="REFERENCES" />
          <ProjectRefVar Sync="True" Name="REFERENCES" />
        </MonoDevelop.Autotools.MakefileInfo>
      </Properties>
    </MonoDevelop>
  </ProjectExtensions>
</Project>